Bug 500731 - Switching ibus toolbar on/off behaves weird when compositing enabled
Switching ibus toolbar on/off behaves weird when compositing enabled
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 509898 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 16:37 EDT by Martin Sourada
Modified: 2010-09-02 06:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 06:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case for reproducing this bug (227 bytes, text/plain)
2009-07-14 22:01 EDT, Peng Huang
no flags Details

  None (edit)
Description Martin Sourada 2009-05-13 16:37:47 EDT
Description of problem:
Turning ibus on or off does frequently makes the tool window either semitransparently reapear after switching to another window (and is not clickable/working) or not appear (save for its shadow and it is clickable/working). I can seem to trigger this only when I have compositing in metacity enabled. Tried chewing and anthy inputs, both suffer from this.

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090508-1.fc11.i586

How reproducible:
seems to be always reproducible sans some applications (e.g. when switching to ibus settings window, it seems to behave correctly)

Steps to Reproduce:
1. turn on metacity compositing (gconf->apps->metacity->general->compositin_manager)
2. open two gtk applications that take input from keyboard (e.g. two gnome-terminals)
3. switch to and fro between those two applications while randomly turning ibus on and off
  
Actual results:
Usually after turning it off and switching to other window, the toolbox reappear (but is semitransparent and not clickable/working), switching back, turning on and off again and switching again to the other window seems to work as expeced. Switch back to the first window and turn it on again, usually blank (fully transparent) toolbox appears. Turning off and on again fix it (or switching again to and fro between the two applications without explicitly turning it on/off).

Expected results:
Turns on and off without the strange side effects.

Additional info:
It seems impossible to make a screenshot of the not-appearing one, hitting print screen makes it reappear. Screenshot of the "false positive" is at https://www.redhat.com/archives/fedora-test-list/2009-May/png1jbZyCgtB3.png
Comment 1 Jens Petersen 2009-05-20 01:41:09 EDT
Reproduced
Comment 2 Peng Huang 2009-05-25 01:09:43 EDT
Please try ibus with compiz. I can not reproduce this problem with compiz. I think it is bug in metacity.
Comment 3 Martin Sourada 2009-05-25 03:58:38 EDT
(In reply to comment #2)
> Please try ibus with compiz. I can not reproduce this problem with compiz. I
> think it is bug in metacity.  
I'm afraid I cannot do that. Just tried enabling compiz via System->Preferences->Look and Feel->Desktop Effects and it told me that it cannot be enabled... So I cannot confirm this test case :(
Comment 4 Bug Zapper 2009-06-09 11:47:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jens Petersen 2009-07-14 20:21:10 EDT
*** Bug 509898 has been marked as a duplicate of this bug. ***
Comment 6 Matthias Clasen 2009-07-14 21:33:18 EDT
To answer a question asked in the other bug:

metacity and compiz are different implementations, thus their behaviour differs in handling certain corner cases. I'd say that ibus probably does  not pick the best window type for this toolbar, or doesn't do the right thing to make it disappear.
Comment 7 Peng Huang 2009-07-14 22:01:59 EDT
Created attachment 351707 [details]
test case for reproducing this bug

I created a test case in python for reproducing this bug. In this test case, it just calls gtk_window_set_opacity after gtk_widget_hide_all. I think metacity should handle this case correctly.
Comment 8 Martin Sourada 2009-07-15 12:42:16 EDT
(In reply to comment #7)
> Created an attachment (id=351707) [details]
> test case for reproducing this bug
> 
> I created a test case in python for reproducing this bug. In this test case, it
> just calls gtk_window_set_opacity after gtk_widget_hide_all. I think metacity
> should handle this case correctly.  
Quick testing here with metacity-2.26.0-1.fc11.i586:
* as it is the window stays visible after clicking hide
* when removed set_opacity in the init, the window initially hides after clicking hide, but reappears after switching between other windows
* when removed set_opacity in the hide func. it behaves as expected (i.e. the window hides forever)
Comment 9 Tommy He 2009-11-15 08:33:52 EST
Confirmed in metacity-2.28.0-9.fc12.i686.
Comment 10 Bug Zapper 2010-04-27 10:19:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Martin Sourada 2010-04-27 10:43:25 EDT
Still present in F12, currently:
metacity-2.28.0-14.fc12.i686
Comment 12 Colin Macdonald 2010-05-04 17:30:06 EDT
So far, I have not been able to reproduce on F13.
Comment 13 Parag Nemade 2010-09-02 06:10:36 EDT
Based on above comment I am closing this. If this bug is appearing in F13/F14 please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.